/* -------------------------------------- */
/* Updated slick slide style 20 Oct 2023 */

/*Translate*/
.edusmith-header .lang-item-en .elementor-item {
  padding-right: 0 !important;
}
.edusmith-header .lang-item-th .elementor-item {
  padding-left: 4px !important;
}
@media only screen and (max-width: 1024px) {
  .edusmith-header .lang-item-en {
    display: inline-block;
    /*Fix safari tool bar override munu*/
    padding-bottom: 104px;
  }
  .edusmith-header .lang-item-th {
    display: inline-block;
    /*Fix safari tool bar override munu*/
    padding-bottom: 104px;
  }
  .edusmith-header .lang-item-th .elementor-item {
    padding-left: 1px !important;
  }
  .edusmith-header .elementor-nav-menu--dropdown .lang-item-en {
    border: none !important;
  }
  .edusmith-header .elementor-nav-menu--dropdown .lang-item-th {
    border: none !important;
  }
  .edusmith-header .elementor-nav-menu--dropdown .elementor-nav-menu {
    /*Munu full height*/
    height: calc(100vh - 84px);
    overflow-y: visible;
  }
}

/* Footer menu */
.edusmith-footer-menu-en-section .menu-item,
.edusmith-footer-menu-th-section .menu-item {
  list-style-type: none;
  margin-top: 10px;
}
.edusmith-footer-menu-en-section .menu,
.edusmith-footer-menu-en-section .sub-menu,
.edusmith-footer-menu-th-section .menu,
.edusmith-footer-menu-th-section .sub-menu {
  padding-left: 0;
}
.edusmith-footer-menu-en-section .menu a, 
.edusmith-footer-menu-th-section .menu a {
  font-size: 18px;
  font-weight: 600;
}
.edusmith-footer-menu-en-section .sub-menu a, 
.edusmith-footer-menu-th-section .sub-menu a {
  font-size: 16px;
  font-weight: 400;
}
.edusmith-footer-menu-en-section .menu-item a,
.edusmith-footer-menu-th-section .menu-item a {
  color: white;
}
.edusmith-footer-menu-en-section .menu-item a {
  font-family: Roboto, Sans-Serif;
}
.edusmith-footer-menu-th-section .menu-item a {
  font-family: 'Prompt', Sans-Serif;
}
.edusmith-footer-menu-en-section .menu-item a:hover,
.edusmith-footer-menu-th-section .menu-item a:hover {
  color: #f9a936;
}

@media only screen and (max-width: 1024px) {
  .edusmith-footer-address .address-logo {
    text-align: center !important;
  }
}

.slick-prev,
.slick-next {
  z-index: 1;
}
.slick-next {
  right: -10px !important;
  width: 40px !important;
}
.slick-prev {
  left: -10px !important;
  width: 40px !important;
}
.slick-track {
  padding-bottom: 0 !important;
}

/* Slick limit dots */
.section-carousel .elementor-container {
  display: block !important;
}
.slick-dots-container {
  width: 88px;
  overflow: hidden;
  display: block;
  padding: 0;
  margin: 10px auto;
  height: 14px;
  position: relative;
}
.slick-dots-container > ul {
  padding: 0;
  display: flex !important;
  transition: all 0.25s;
  position: relative;
  margin: 0;
  list-style: none;
  transform: translateX(0);
  align-items: center;
  bottom: unset;
  height: 100%;
}
.slick-dots-container > ul li {
  width: 10px;
  height: 10px;
  margin: 0 4px;
  background-color: #efd5d5;
  border: none;
  border-radius: 50%;
}
.slick-dots-container > ul li button {
  font-size: 0;
  line-height: 0;
  display: block;
  width: 20px;
  height: 20px;
  padding: 5px;
  cursor: pointer;
  color: transparent;
  border: 0;
  outline: 0;
  background: 0 0;
}
.slick-dots-container > ul .p-small-1,
.slick-dots-container > ul .n-small-1 {
  transform: scale(0.8) !important;
}
.slick-dots-container > ul .slick-active {
  transform: scale(1.3);
  transform-origin: center;
  background: #f9a936;
}
.slick-dots li button:before {
  display: none !important;
}
.slick-prev.slick-disabled,
.slick-next.slick-disabled {
  opacity: 0.5 !important;
}
.slick-initialized .slick-slide {
  display: flex !important;
}

/* Our Service Card 25 Oct 2023 */
.section-our-service .elementor-widget-container {
  height: 390px;
}
.section-our-service .elementor-image-box-description {
  height: 102px;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.section-our-service .elementor-image-box-img img {
  width: 100px;
  height: 100px;
}
.section-our-service .elementor-image-box-title {
  display: flex; 
  align-items: center;
  height: 80px;
}

/* The Edusmith edge 26 Oct 2023 */
.section-edge-vertical .elementor-widget-image-box,
.section-edge-vertical .elementor-widget-container {
  height: 100%;
  min-height: 486px;
}
.section-edge-vertical .elementor-widget-image-box .elementor-image-box-title {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 88px;
}
.section-edge-vertical .elementor-image-box-img img {
  width: 100px;
  height: 100px;
}
.section-edge-horizontal .elementor-image-box-description {
  height: 144px;
  overflow: hidden;
}
.section-edge-horizontal
  .elementor-widget-image-box
  .elementor-image-box-title {
  display: flex;
  align-items: center;
  text-align: start;
  height: 64px;
}

/* Our Team 28 Oct 2023 */
.our-team .elementor-widget-wrap {
  width: 340px;
  height: 500px;
}
.our-team .elementor-column {
  justify-content: center;
  margin-top: 120px;
}
.our-team h3.elementor-heading-title {
  height: 70px;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}
@media only screen and (max-width: 768px) {
  .our-team .elementor-widget-wrap {
    height: 420px;
  }
}

/* Our team with logo 29 Oct 2023 */
.our-team-with-logo .elementor-column {
  justify-content: center;
  margin-top: 100px;
}
.our-team-with-logo .elementor-widget-wrap {
  width: 370px;
}
.our-team-with-logo .elementor-widget-text-editor ul {
  padding-left: 20px;
}
@media only screen and (max-width: 768px) {
  .text-university .elementor-icon-box-wrapper {
    display: flex;
    width: 190px;
  }
  .text-university .elementor-icon-box-icon {
    display: flex;
    align-items: end;
    margin-bottom: 0 !important;
  }
}

/* What we offer Test Prep 4 items 29 Oct 2023 */
.section-test-prep {
  width: 550px;
  margin-left: auto;
  margin-right: auto;
}
.test-prep-4-item .test-prep-card .elementor-widget-container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 156px;
}
.test-prep-1-item .test-prep-card .elementor-widget-container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 344px;
}
.section-test-prep-group
  .test-prep-1-item
  .test-prep-card
  .elementor-widget-container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 336px;
}
@media only screen and (min-width: 320px) {
  .section-test-prep {
    width: 332px;
  }
}
@media only screen and (min-width: 768px) {
  .section-test-prep {
    width: 500px;
  }
}

/* Test prop timeline */
.section-test-prep-timeline .arrow-1 .elementor-progress-wrapper:before,
.section-test-prep-timeline .arrow-2 .elementor-progress-wrapper:before,
.section-test-prep-timeline .arrow-3 .elementor-progress-wrapper:before,
.section-test-prep-timeline .arrow-4 .elementor-progress-wrapper:before,
.section-test-prep-timeline .arrow-5 .elementor-progress-wrapper:before,
.section-test-prep-timeline .arrow-6 .elementor-progress-wrapper:before {
  content: '';
  position: absolute;
  right: -20px;
  bottom: 0;
  width: 0;
  height: 0;
  border-top: 14px solid transparent;
  border-bottom: 18px solid transparent;
}
.section-test-prep-timeline .arrow-1 .elementor-progress-wrapper:before {
  border-left: 18px solid #00428b;
}
.section-test-prep-timeline .arrow-2 .elementor-progress-wrapper:before {
  border-left: 18px solid #d9e3ee;
}
.section-test-prep-timeline .arrow-3 .elementor-progress-wrapper:before {
  border-left: 18px solid #fde4c1;
}
.section-test-prep-timeline .arrow-4 .elementor-progress-wrapper:before {
  border-left: 18px solid #f9a936;
}
.section-test-prep-timeline .arrow-5 .elementor-progress-wrapper:before {
  border-left: 18px solid #C72E61;
}
.section-test-prep-timeline .arrow-6 .elementor-progress-wrapper:before {
  border-left: 18px solid #FFF4F5;
}
.section-test-prep-timeline .elementor-progress-wrapper {
  text-align: center;
}

/* Test prop timeline 2 */
.section-test-prep-timeline-2 .arrow-1 .elementor-progress-wrapper:before,
.section-test-prep-timeline-2 .arrow-2 .elementor-progress-wrapper:before,
.section-test-prep-timeline-2 .arrow-3 .elementor-progress-wrapper:before,
.section-test-prep-timeline-2 .arrow-4 .elementor-progress-wrapper:before {
  content: '';
  position: absolute;
  right: -20px;
  bottom: 0;
  width: 0;
  height: 0;
  border-top: 14px solid transparent;
  border-bottom: 18px solid transparent;
}
.section-test-prep-timeline-2 .arrow-1 .elementor-progress-wrapper:before {
  border-left: 18px solid #C72E61;
}
.section-test-prep-timeline-2 .arrow-2 .elementor-progress-wrapper:before {
  border-left: 18px solid #FFF4F5;
}
.section-test-prep-timeline-2 .arrow-3 .elementor-progress-wrapper:before {
  border-left: 18px solid #fde4c1;
}
.section-test-prep-timeline-2 .arrow-4 .elementor-progress-wrapper:before {
  border-left: 18px solid #C72E61;
}
.section-test-prep-timeline-2 .elementor-progress-wrapper {
  text-align: center;
}

/* Line button */
.line-button-section .elementor-column {
  min-height: 0;
}
.line-button-section .elementor-widget-wrap {
  padding: 0 !important;
}

/* Our student result */
.section-our-student-result {
  margin-left: 10%;
}
.our-student-result {
  min-height: 316px;
  margin-top: auto;
  margin-bottom: auto;
  right: 10%;
}
.our-student-result .elementor-widget-wrap {
  max-width: 480px;
}
@media only screen and (max-width: 767px) {
  .section-our-student-result {
    margin-left: 0;
  }
  .our-student-result {
    right: 0;
    top: -100px;
    justify-content: center;
  }
}

/* Blog */
/* Single post */
.section-carousel-post .elementor-post {
  padding: 16px !important;
}
.section-carousel-post .elementor-post__card:hover {
  box-shadow: 0 0 16px 0 rgba(0, 0, 0, 0.15) !important;
}
.post-tags a {
  display: inline-block;
  background-color: #f8a936;
  padding: 8px 24px;
  border-radius: 30px;
  margin: 8px;
  text-transform: capitalize;
}
.elementor-post .elementor-post__read-more,
.elementor-post .elementor-post__badge {
  text-transform: capitalize !important;
}
/* .elementor-post__card .elementor-post__title {
 text-align: start;
} */
.filter-category h5 {
  font-size: 18px;
  margin-top: 0;
  margin-bottom: 16px;
  color: #fff;
}
.filter-category select {
  height: 50px;
  padding-left: 16px;
  /* Select arrow style change */
  -moz-appearance: none; /* Firefox */
  -webkit-appearance: none; /* Safari and Chrome */
  appearance: none;
}
.filter-category select:focus-visible {
  outline: none;
}
@media only screen and (max-width: 768px) {
  .filter-category h5 {
    font-size: 16px;
    margin-bottom: 8px;
  }
}

/* Posts nothing found */
.elementor-posts-nothing-found {
  text-align: center;
  padding-top: 200px;
  padding-bottom: 200px;
}
.archives-cover-header-text .elementor-heading-title {
  text-transform: capitalize;
}

/* Set font cookies policy */
.cwc-banner-content,
.cwc-banner-content a,
.cwc-banner-content button,
.cwc-preference-main,
.cwc-preference-main a,
.cwc-preference-main button,
.cwc-preference-header span {
  font-family: 'Prompt', Sans-serif !important;
}

/* For click link attribute column */
.elementor-column[link] > .elementor-widget-wrap > .elementor-widget {
    cursor: pointer;
}

/* -------------------------------------- */
